{"openapi":"3.0.3","info":{"title":"Reseller API","version":"1.0.0","description":"Sell our products from your own bot or store. Pay from your wallet balance (USDT)."},"servers":[{"url":"https://api.alaricstore.com/api/v1"}],"security":[{"ApiKeyAuth":[]}],"paths":{"/balance":{"get":{"summary":"Wallet balance","operationId":"getBalance","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Balance"}}}},"401":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}},"/products":{"get":{"summary":"Active products with your price and stock","operationId":"listProducts","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductList"}}}},"401":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}},"/orders":{"get":{"summary":"Your latest API orders (summary, no codes)","operationId":"listOrders","parameters":[{"name":"limit","in":"query","schema":{"type":"integer","minimum":1,"maximum":50,"default":20}},{"name":"before","in":"query","description":"next_before of the previous page","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderList"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"post":{"summary":"Buy a product","operationId":"createOrder","parameters":[{"name":"Idempotency-Key","in":"header","required":true,"description":"8-96 chars: letters, digits, . _ : -. Reuse the SAME key to retry safely.","schema":{"type":"string","pattern":"^[A-Za-z0-9._:-]{8,96}$"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["product_id","quantity"],"properties":{"product_id":{"type":"string"},"quantity":{"type":"integer","minimum":1,"maximum":20},"max_total":{"type":"number","description":"Optional ceiling: nothing is charged if the real total is higher (PRICE_CHANGED)."}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}}},"201":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"402":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"503":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}},"/orders/{id}":{"get":{"summary":"One of your orders, with the delivered items","operationId":"getOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}}},"401":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}},"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"Error":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}}}}},"Balance":{"type":"object","properties":{"balance":{"type":"number"},"currency":{"type":"string","example":"USDT"}}},"Product":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"price":{"type":"number"},"currency":{"type":"string"},"in_stock":{"type":"boolean"},"stock":{"type":"integer","nullable":true},"max_quantity":{"type":"integer"},"fulfillment":{"type":"string","enum":["stock","on_demand"]},"price_tiers":{"type":"array","items":{"type":"object","properties":{"min_quantity":{"type":"integer"},"price":{"type":"number"}}}}}},"ProductList":{"type":"object","properties":{"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"}},"total":{"type":"integer"},"updated_at":{"type":"string","format":"date-time"}}},"Order":{"type":"object","properties":{"order_id":{"type":"string"},"status":{"type":"string","enum":["COMPLETED","PROCESSING","REFUNDED","FAILED","UNDER_REVIEW"]},"product_id":{"type":"string"},"product":{"type":"string"},"quantity":{"type":"integer"},"unit_price":{"type":"number"},"total":{"type":"number"},"currency":{"type":"string"},"items":{"type":"array","items":{"type":"string"}},"balance_remaining":{"type":"number"},"replayed":{"type":"boolean"},"created_at":{"type":"string","format":"date-time"}}},"OrderSummary":{"type":"object","properties":{"order_id":{"type":"string"},"status":{"type":"string"},"product_id":{"type":"string"},"product":{"type":"string"},"quantity":{"type":"integer"},"total":{"type":"number"},"currency":{"type":"string"},"created_at":{"type":"string","format":"date-time"}}},"OrderList":{"type":"object","properties":{"orders":{"type":"array","items":{"$ref":"#/components/schemas/OrderSummary"}},"next_before":{"type":"string","format":"date-time","nullable":true}}}}}}